package cd.casic.plugin;

import cd.casic.plugin.extension.Plugin;
import org.pf4j.PluginWrapper;
import org.springframework.core.io.Resource;
import org.springframework.core.io.buffer.DataBuffer;
import reactor.core.publisher.Mono;

import java.nio.file.Path;
import java.util.List;
import java.util.function.Predicate;

/**
 * @Classname PluginService
 * @Description 插件服务类
 * @Date 2025/5/8 19:58
 * @Created by mianbin
 */
public interface PluginService {

    boolean installPresetPlugins();

    Plugin install(Path path);

    Plugin upgrade(String name, Path path);

    /**
     * 重新加载插件，插件spec.enabled 设置为 true
     */
    Mono<Plugin> reload(String name);

    DataBuffer uglifyJsBundle();

    DataBuffer uglifyCssBundle();

    String generateBundleVersion();

    Resource getJsBundle(String version);

    Resource getCssBundle(String version);

    Plugin changeState(String pluginName, boolean requestToEnable, boolean wait);

    List<String> getRequiredDependencies(Plugin plugin,
                                         Predicate<PluginWrapper> predicate);
}
