package cd.casic.ci.commons.bean.engine.execute;


import cd.casic.ci.commons.bean.process.definition.Pipeline;
import cd.casic.ci.commons.bean.work.agent.model.Agent;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线运行消息类，包含流水线运行所需的基本信息
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineRunMsg {

    // 流水线ID
    private String pipelineId;

    // 用户ID
    private String userId;

    // 运行方式
    private Integer runWay;

    // 流水线信息
    private Pipeline pipeline;

    // 默认执行器
    private String agentId;

    // 执行器信息
    private Agent agent;

    // 实例id
    private String instanceId;

    public PipelineRunMsg(String pipelineId, String userId, Integer runWay) {
        this.pipelineId = pipelineId;
        this.userId = userId;
        this.runWay = runWay;
    }
}
