package cd.casic.ci.commons.bean.engine.job;


import cd.casic.framework.commons.pojo.PageParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线配置顺序模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class TasksQuery {

    //配置id
    private String taskId;

    //类型1-10:源码,10-20:测试,20-30:构建,30-40:部署,40-50:代码扫描,50-60:推送制品
    private String taskType;

    private String pipelineId;

    //后置处理id
    private String postprocessId;
    ;

    //阶段
    private String stageId;

    //阶段
    private String taskSort;

    //分页参数
    private PageParam pageParam = new PageParam();

    //排序参数
    private Object orderParams;
}
