package cd.casic.ci.commons.bean.process.definition;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线条件模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class Variable {


    //id
    private String varId;

    //创建时间
    private String createTime;

    //类型 str.字符串 single .单选
    private String varType;

    //类型 1.全局 2.项目
    private int type;

    //任务id
    private String taskId;

    //流水线id
    private String pipelineId;

    //名称
    private String varKey;

    //默认值
    private String varValue;

    //值
    private String varValues;

    private List<String> valueList;

    public Variable(String varKey, String varValue) {
        this.varKey = varKey;
        this.varValue = varValue;
    }
}
