package cd.casic.module.process.process.setting.impl;

import cd.casic.ci.commons.bean.process.setting.AuthThird;
import cd.casic.ci.commons.bean.process.setting.AuthThirdQuery;
import cd.casic.framework.commons.pojo.PageResult;
import cd.casic.module.process.convert.setting.AuthThirdConvert;
import cd.casic.module.process.process.setting.AuthThirdService;
import cd.casic.module.process.process.setting.dao.AuthThirdDao;
import cd.casic.module.process.process.setting.dataobject.AuthThirdDo;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;
import java.util.Objects;

@Service
public class AuthThirdServiceImpl implements AuthThirdService {

    @Resource
    AuthThirdDao authServerDao;

    /**
     * 创建流水线授权
     *
     * @param authThird 流水线授权
     * @return 流水线授权id
     */
    public int createAuthServer(AuthThird authThird) {
        return authServerDao.updateById(AuthThirdConvert.INSTANCE.convertDo(authThird));
    }

    /**
     * 删除流水线授权
     *
     * @param authServerId 流水线授权id
     */
    @Override
    public void deleteAuthServer(String authServerId) {
        authServerDao.deleteById(authServerId);
    }

    /**
     * 更新授权信息
     *
     * @param authThird 信息
     */
    @Override
    public void updateAuthServer(AuthThird authThird) {
        int authPublic = authThird.getAuthPublic();
        String serverId = authThird.getServerId();
        AuthThird oneAuthServer = findOneAuthServer(serverId);
        int aPublic = oneAuthServer.getAuthPublic();
        if (authPublic == 1 && aPublic == 2) {
            authThird.setPrivateKey("");
        }
        if (aPublic == 2 && authPublic == 1) {
            authThird.setUsername("");
            authThird.setPassword("");
        }
        authServerDao.updateById(AuthThirdConvert.INSTANCE.convertDo(authThird));
    }

    /**
     * 查询授权信息
     *
     * @param authServerId id
     * @return 信息集合
     */
    @Override
    public AuthThird findOneAuthServer(String authServerId) {
        AuthThirdDo authThirdDo = authServerDao.selectById(authServerId);
        return AuthThirdConvert.INSTANCE.convert(authThirdDo);
    }

    @Override
    public List<AuthThird> findAuthServerList(AuthThirdQuery thirdQuery) {
        return null;
    }

    @Override
    public PageResult<AuthThird> findAuthServerPage(AuthThirdQuery thirdQuery) {
        return null;
    }

    @Override
    public List<AuthThird> findAllAuthServer() {
        return null;
    }

    @Override
    public List<AuthThird> findAllAuthServerList(List<String> idList) {
        return null;
    }

    @Override
    public Integer findAuthServerNumber() {
        return null;
    }
//TODO 暂时简单处理
//    @Override
//    public List<AuthThird> findAuthServerList(AuthThirdQuery thirdQuery) {
//        List<AuthThirdEntity> authThirdEntityList = authServerDao.findAuthServerList(thirdQuery);
//        List<AuthThird> authThirds = BeanMapper.mapList(authThirdEntityList, AuthThird.class);
//        return authThirds;
//    }
//
//    @Override
//    public PageResult<AuthThird> findAuthServerPage(AuthThirdQuery thirdQuery) {
//        Pagination<AuthThirdEntity> authThirdEntityPage = authServerDao.findAuthServerPage(thirdQuery);
//
//        List<AuthThirdEntity> dataList = authThirdEntityPage.getDataList();
//        if (Objects.isNull(dataList)) {
//            return PaginationBuilder.build(authThirdEntityPage, Collections.emptyList());
//        }
//        List<AuthThird> authThirds = BeanMapper.mapList(dataList, AuthThird.class);
//        return PaginationBuilder.build(authThirdEntityPage, authThirds);
//    }
//
//    /**
//     * 查询所有流水线授权
//     *
//     * @return 流水线授权列表
//     */
//    @Override
//    public List<AuthThird> findAllAuthServer() {
//        List<AuthThirdEntity> allAuthServer = authServerDao.findAllAuthServer();
//        if (Objects.isNull(allAuthServer)) {
//            return Collections.emptyList();
//        }
//        List<AuthThird> authThirds = BeanMapper.mapList(allAuthServer, AuthThird.class);
//        return authThirds;
//    }
//
//    @Override
//    public List<AuthThird> findAllAuthServerList(List<String> idList) {
//        List<AuthThirdEntity> allAuthServerList = authServerDao.findAllAuthServerList(idList);
//        return BeanMapper.mapList(allAuthServerList, AuthThird.class);
//    }
//
//    @Override
//    public Integer findAuthServerNumber() {
//        return authServerDao.findAuthServerNumber();
//    }


}
